curl --request GET \
--url https://besimplo.com/api/v1/events \
--header 'Authorization: <api-key>'import requests
url = "https://besimplo.com/api/v1/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://besimplo.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://besimplo.com/api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://besimplo.com/api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://besimplo.com/api/v1/events")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://besimplo.com/api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"url": "/api/v1/events",
"has_more": false,
"data": [
{
"id": "evt_01h455vb4pex5vsknk084sn02e",
"object": "event",
"type": "invoice.paid",
"created": 1741541400,
"live_mode": true,
"data": {
"object": {
"id": "in_01h455vb4pex5vsknk084sn02q",
"object": "invoice",
"amount_due": 9990,
"created": 1704672000,
"currency": "brl",
"customer": "cus_01h455vb4pex5vsknk084sn02p",
"live_mode": true,
"status": "open",
"total": 9990,
"amount_paid": 0,
"amount_refunded": 0,
"amount_remaining": 9990,
"customer_email": "joao.silva@exemplo.com",
"customer_name": "João Silva",
"external_code": "PEDIDO-123",
"paid": false,
"payment_intent": "pi_01h455vb4pex5vsknk084sn02r",
"status_transitions": {
"paid_at": 1704758400
},
"subscription": "sub_01h455vb4pex5vsknk084sn02s"
}
}
}
]
}Listar eventos
Retorna uma lista paginada dos eventos da sua conta, do mais recente para o mais antigo. Cada item é exatamente o corpo que a entrega por webhook carregou, congelado no instante em que o fato aconteceu.
Os eventos ficam disponíveis por 30 dias.
Limite de taxa: 100 requisições por minuto por chave de API.
curl --request GET \
--url https://besimplo.com/api/v1/events \
--header 'Authorization: <api-key>'import requests
url = "https://besimplo.com/api/v1/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://besimplo.com/api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://besimplo.com/api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://besimplo.com/api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://besimplo.com/api/v1/events")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://besimplo.com/api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"url": "/api/v1/events",
"has_more": false,
"data": [
{
"id": "evt_01h455vb4pex5vsknk084sn02e",
"object": "event",
"type": "invoice.paid",
"created": 1741541400,
"live_mode": true,
"data": {
"object": {
"id": "in_01h455vb4pex5vsknk084sn02q",
"object": "invoice",
"amount_due": 9990,
"created": 1704672000,
"currency": "brl",
"customer": "cus_01h455vb4pex5vsknk084sn02p",
"live_mode": true,
"status": "open",
"total": 9990,
"amount_paid": 0,
"amount_refunded": 0,
"amount_remaining": 9990,
"customer_email": "joao.silva@exemplo.com",
"customer_name": "João Silva",
"external_code": "PEDIDO-123",
"paid": false,
"payment_intent": "pi_01h455vb4pex5vsknk084sn02r",
"status_transitions": {
"paid_at": 1704758400
},
"subscription": "sub_01h455vb4pex5vsknk084sn02s"
}
}
}
]
}Authorizations
A chave de API usada para autenticar a requisição e identificar a sua conta.
Exemplo: Authorization: ApiKey my-secure-key
Query Parameters
Filtrar por tipo de evento.
invoice.created, invoice.paid, invoice.uncollectible, invoice.voided, payment_intent.created, payment_intent.failed, payment_intent.attempts_exhausted, payment_intent.refund_requested, payment_intent.refunded, checkout_session.completed, checkout_session.expired, subscription.created, subscription.activated, subscription.overdue, subscription.suspended, subscription.reactivated, subscription.canceled, subscription.period_started Filtrar pelo resultado da entrega, derivado das tentativas feitas.
- delivered: algum endpoint respondeu 2xx.
- pending: ainda não chegou e há nova tentativa agendada.
- failed: as tentativas acabaram sem nenhuma resposta 2xx.
- not_sent: nenhum POST foi feito. Nenhum endpoint assinava este tipo quando o fato aconteceu, ou o disparo não chegou à fila.
delivered, pending, failed, not_sent Resultados por página
1 <= x <= 100Cursor para próxima página
Response
Lista de eventos
String representando o tipo do objeto. Sempre "list" para listas.
list "list"
URL do recurso solicitado.
"/api/v1/events"
Indica se há mais resultados disponíveis para paginação.
false
Lista de eventos, do mais recente para o mais antigo.
Show child attributes
Show child attributes

